Issue 112407 - vcl: suspicious push_back in sun-specific xinerama code
Summary: vcl: suspicious push_back in sun-specific xinerama code
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: DEV300m81
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: caolanm
QA Contact: issues@gsl
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2010-06-15 10:14 UTC by caolanm
Modified: 2010-08-03 12:40 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
fix it up like this I bet (614 bytes, patch)
2010-06-15 10:14 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-06-15 10:14:21 UTC
We have a addXineramaScreenUnique method which uses push_back to append a
xinerama/xrandr framebuffer/monitor to our list and ignore duplicates. I see in
passing that the #ifdef USE_XINERAMA_XSUN stuff start off with...

m_aXineramaScreens = std::vector<Rectangle>( nFramebuffers );
...
addXineramaScreenUnique(...)

which would suggest that m_aXineramaScreens ends up typically twice as big as it
should be, with invalid default ctored Rectangles as the first half
Comment 1 caolanm 2010-06-15 10:14:45 UTC
Created attachment 70007 [details]
fix it up like this I bet
Comment 2 philipp.lohmann 2010-06-15 10:46:57 UTC
oops. yours truly messed that up, yes. thanks for finding that.

committed in CWS ooo30gsl01
Comment 3 philipp.lohmann 2010-06-16 14:39:04 UTC
changeset at http://hg.services.openoffice.org/hg/cws/ooo30gsl01/rev/579bfa7471ec

please verify in CWS ooo30gsl01
Comment 4 caolanm 2010-06-16 14:40:34 UTC
make sense now
Comment 5 caolanm 2010-08-03 12:40:22 UTC
seen in master